SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_formaPago]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_formaPago]
GO
CREATE PROCEDURE [reg_doc_formaPago]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[formaPago] AS [formaPago],
		[formaPago_codigo] AS [formaPago_codigo],
		[diasPago] AS [diasPago]
	FROM [doc_formaPago]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_doc_formaPago]')) DROP VIEW [dbo].[view_doc_formaPago]
GO
CREATE  VIEW [view_doc_formaPago] AS
SELECT 	[doc_formaPago].[id] AS [id],
		[doc_formaPago].[uid] AS [uid],
		[doc_formaPago].[eid] AS [eid],
		[doc_formaPago].[id_usuario_modifico] AS [id_usuario_modifico],
		[doc_formaPago].[id_usuario_creo] AS [id_usuario_creo],
		[doc_formaPago].[fechaModificacion] AS [fechaModificacion],
		[doc_formaPago].[fechaCreacion] AS [fechaCreacion],
		[doc_formaPago].[active] AS [active],
		[doc_formaPago].[formaPago] AS [formaPago],
		[doc_formaPago].[formaPago_codigo] AS [formaPago_codigo],
		[doc_formaPago].[diasPago] AS [diasPago],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [doc_formaPago]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_formaPago].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_formaPago].[id_usuario_creo]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [doc_formaPago].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [doc_formaPago].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_formaPagosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_formaPagosXusuario_modifico]
GO
CREATE PROCEDURE [sel_doc_formaPagosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_formaPago]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_formaPagosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_formaPagosXusuario_creo]
GO
CREATE PROCEDURE [sel_doc_formaPagosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_formaPago]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_formaPagos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_formaPagos]
GO
CREATE PROCEDURE [sel_doc_formaPagos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_formaPago]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_formaPagos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_formaPagos]
GO
CREATE PROCEDURE [lis_doc_formaPagos]
	AS
BEGIN
	SELECT id AS id,
[formaPago] AS [doc_formaPago]
	FROM [doc_formaPago]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_doc_formaPago]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_doc_formaPago]
GO
CREATE PROCEDURE [upd_doc_formaPago]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_formaPago varchar(300) = null,
		@p_formaPago_codigo varchar(100) = null,
		@p_diasPago int = null
AS
BEGIN
		UPDATE [doc_formaPago]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[formaPago] = isnull(@p_formaPago,[formaPago]),
			[formaPago_codigo] = isnull(@p_formaPago_codigo,[formaPago_codigo]),
			[diasPago] = isnull(@p_diasPago,[diasPago])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_doc_formaPago]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_doc_formaPago]
GO
CREATE PROCEDURE [ins_doc_formaPago]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_formaPago varchar(300),
		@p_formaPago_codigo varchar(100),
		@p_diasPago int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_formaPago]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[formaPago],
			[formaPago_codigo],
			[diasPago])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_formaPago,
			@p_formaPago_codigo,
			@p_diasPago)
		SET @v_id = scope_identity()
UPDATE [doc_formaPago] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_doc_formaPago]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_doc_formaPago]
GO
CREATE PROCEDURE [act_doc_formaPago]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [doc_formaPago]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_formaPago_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_formaPago_m]
GO
CREATE PROCEDURE [reg_doc_formaPago_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[formaPago] AS [formaPago],
		[formaPago_codigo] AS [formaPago_codigo],
		[diasPago] AS [diasPago]
	FROM [doc_formaPago]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_formaPagosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_formaPagosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_doc_formaPagosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_formaPago]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_formaPagosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_formaPagosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_doc_formaPagosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_formaPago]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_formaPagos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_formaPagos_m]
GO
CREATE PROCEDURE [sel_doc_formaPagos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_formaPago]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_formaPagos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_formaPagos_m]
GO
CREATE PROCEDURE [lis_doc_formaPagos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[formaPago] AS [doc_formaPago]
	FROM [doc_formaPago]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_doc_formaPago]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_doc_formaPago]
GO
CREATE PROCEDURE [aud_doc_formaPago]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [doc_formaPago].id as id_tabla,
	[doc_formaPago].id_usuario_modifico as id_usuario_modifico,
	[doc_formaPago].id_usuario_creo as id_usuario_creo,
	[doc_formaPago].fechaModificacion as fechaModificacion,
	[doc_formaPago].fechaCreacion as fechaCreacion,
	[doc_formaPago].active as active,
	[doc_formaPago].[formaPago] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [doc_formaPago]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_formaPago].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_formaPago].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'doc_formaPago'
-----------------------------------04/12/2018 11:21:46 a.m.